# Class Average

java.lang.Object
org.snpeff.stats.Average

public class Average extends Object
A simple class that calculates averages

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`Average()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(double add)`
`double`
`getAvg()`
`int`
`getCount()`
`double`
`getSum()`
`void`
`reset()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Average

public Average()

## Method Details

### add

public void add(double add)

### getAvg

public double getAvg()

### getCount

public int getCount()

### getSum

public double getSum()

### reset

public void reset()

### toString

public String toString()

Overrides:
  `toString` in class `Object`